## kraken 0.10.5~beta

=== src/Makefile ===
CXX = g++
CXXFLAGS = -Wall -fopenmp -O3
PROGS = db_sort set_lcas classify make_seqid_to_taxid_map db_shrink

.PHONY: all install clean

all: $(PROGS)

install: $(PROGS)
	cp $(PROGS) $(KRAKEN_DIR)/

clean:
	rm -f $(PROGS) *.o

db_shrink: krakendb.o quickfile.o

db_sort: krakendb.o quickfile.o

set_lcas: krakendb.o quickfile.o krakenutil.o seqreader.o

classify: krakendb.o quickfile.o krakenutil.o seqreader.o

make_seqid_to_taxid_map: quickfile.o

krakenutil.o: krakenutil.cpp krakenutil.hpp
	$(CXX) $(CXXFLAGS) -c krakenutil.cpp

krakendb.o: krakendb.cpp krakendb.hpp quickfile.hpp
	$(CXX) $(CXXFLAGS) -c krakendb.cpp

seqreader.o: seqreader.cpp seqreader.hpp quickfile.hpp
	$(CXX) $(CXXFLAGS) -c seqreader.cpp

quickfile.o: quickfile.cpp quickfile.hpp
	$(CXX) $(CXXFLAGS) -c quickfile.cpp

=== debian/changelog ===
kraken (0.10.5~beta-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 16:10:59 +0100

kraken (0.10.5~beta-1) unstable; urgency=low

  * Initial release (Closes: #798442)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Sep 2015 14:10:52 +0200

=== debian/control ===
Source: kraken
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
Vcs-Git: git://anonscm.debian.org/debian-med/kraken.git
Homepage: http://ccb.jhu.edu/software/kraken/

Package: kraken
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: assigning taxonomic labels to short DNA sequences
 Kraken is a system for assigning taxonomic labels to short DNA
 sequences, usually obtained through metagenomic studies. Previous
 attempts by other bioinformatics software to accomplish this task have
 often used sequence alignment or machine learning techniques that were
 quite slow, leading to the development of less sensitive but much faster
 abundance estimation programs. Kraken aims to achieve high sensitivity
 and high speed by utilizing exact alignments of k-mers and a novel
 classification algorithm.
 .
 In its fastest mode of operation, for a simulated metagenome of 100 bp
 reads, Kraken processed over 4 million reads per minute on a single
 core, over 900 times faster than Megablast and over 11 times faster than
 the abundance estimation program MetaPhlAn. Kraken's accuracy is
 comparable with Megablast, with slightly lower sensitivity and very high
 precision.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

# alternatively to manually set those variables, you can
#  include /usr/share/dpkg/default.mk
# and use what is set there.

%:
	dh $@  --sourcedirectory=src

override_dh_link:
	dh_link
	for file in $(CURDIR)/debian/$(DEBPKGNAME)/usr/lib/$(DEBPKGNAME)/kraken* ; do \
	    if ! echo $${file} | grep -q '\.pm$$' ; then \
		ln -s ../lib/$(DEBPKGNAME)/`basename $${file}` $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/`basename $${file}` ; \
	    fi \
	done

override_dh_auto_install:
	dh_auto_install -- KRAKEN_DIR=$(CURDIR)/debian/$(DEBPKGNAME)/usr/lib/$(DEBPKGNAME)
	./install_kraken.sh /usr/lib/$(DEBPKGNAME) $(DEBPKGNAME)

=== debian/watch ===
version=3

opts="uversionmangle=s/-beta/~beta/" \
  https://github.com/DerrickWood/kraken/releases .*/archive/v(\d[\d.beta-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## kraken 1.1

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CXX = g++
 CXXFLAGS = -Wall -fopenmp -O3
-PROGS = db_sort set_lcas classify make_seqid_to_taxid_map db_shrink
+PROGS = db_sort set_lcas classify make_seqid_to_taxid_map db_shrink kmer_estimator
 
 .PHONY: all install clean
 
@@ -18,6 +18,8 @@
 
 set_lcas: krakendb.o quickfile.o krakenutil.o seqreader.o
 
+kmer_estimator: krakenutil.o seqreader.o
+
 classify: krakendb.o quickfile.o krakenutil.o seqreader.o
 
 make_seqid_to_taxid_map: quickfile.o

=== debian/changelog ===
kraken (1.1-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * Revert to debhelper 10 (latest version in Jessie)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2018 11:00:42 +0100

kraken (1.1-2) unstable; urgency=medium

  * Slighly more robust method to obtain taxid of fasta files to at least
    enable reading the provided data examples of autopkgtest
    Closes: #889623

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2018 13:59:49 +0100

kraken (1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 14:42:43 +0100

kraken (1.0-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.
  * No hardening

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2018 12:26:39 +0100

kraken (1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 13 Nov 2017 16:37:12 +0100

kraken (0.10.5~beta-6) unstable; urgency=medium

  * Build-Depends: jellyfish1
  * Architecture: any
    It has turned out that despite beeing dead upstream jellyfish1 was
    portable to several other architectures by a simple patch (see #874549)
    so kraken can be provided for more architectures now.

 -- Andreas Tille <tille@debian.org>  Sat, 09 Sep 2017 22:08:16 +0200

kraken (0.10.5~beta-5) unstable; urgency=medium

  * Architecture: any-amd64
    Closes: #872180
  * cme fix dpkg-control
  * really do not read d/changelog

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 14:16:48 +0200

kraken (0.10.5~beta-4) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite
  * Fix version of dependency: jellyfish (= 1.1.5-1)
  * Fix dependency from jellyfish to jellyfish1

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added ref to bio.tools
  * debian/control: Policy bump to 4.0.1

  [ Andreas Tille ]
  * debhelper 10
  * d/rules: do not read d/changelog
  * hardening

 -- Nadiya Sitdykova  <rovenskasa@gmail.com>  Thu, 10 Aug 2017 23:13:32 +0200

kraken (0.10.5~beta-3) UNRELEASED; urgency=medium

  * Add missing dependency: jellyfish
  * Added ref to OMICtools (OMIC_04481)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2015 10:17:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10),
+               jellyfish1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
-Vcs-Git: git://anonscm.debian.org/debian-med/kraken.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/kraken.git
 Homepage: http://ccb.jhu.edu/software/kraken/
 
 Package: kraken
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         jellyfish1
 Description: assigning taxonomic labels to short DNA sequences
  Kraken is a system for assigning taxonomic labels to short DNA
  sequences, usually obtained through metagenomic studies. Previous

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@  --sourcedirectory=src

override_dh_link:
	dh_link
	for file in $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/kraken* ; do \
	    if ! echo $${file} | grep -q '\.pm$$' ; then \
		ln -s ../lib/$(DEB_SOURCE)/`basename $${file}` $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/`basename $${file}` ; \
	    fi \
	done

override_dh_auto_install:
	dh_auto_install -- KRAKEN_DIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
	./install_kraken.sh /usr/lib/$(DEB_SOURCE) $(DEB_SOURCE)

## kraken 1.1.1

=== docs/Makefile ===
all:
	pandoc --title-prefix "Kraken Manual" \
	       --include-in-header head.html \
               --include-before-body top.html \
	       --from markdown --to html \
	       --table-of-contents \
	       --css kraken.css \
               --output MANUAL.html \
	       < MANUAL.markdown

=== debian/changelog ===
kraken (1.1.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 09 Oct 2021 07:40:09 +0200

kraken (1.1.1-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2020 16:55:55 +0100

kraken (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 13:29:55 +0200

kraken (1.1-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Fix Perl interpreter path
  * propagate build options

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:15:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                jellyfish1
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/kraken.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/kraken.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/kraken
+Vcs-Git: https://salsa.debian.org/med-team/kraken.git
 Homepage: http://ccb.jhu.edu/software/kraken/
+Rules-Requires-Root: no
 
 Package: kraken
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # DH_VERBOSE := 1
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/default.mk
 
@@ -20,3 +20,9 @@
 override_dh_auto_install:
 	dh_auto_install -- KRAKEN_DIR=$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
 	./install_kraken.sh /usr/lib/$(DEB_SOURCE) $(DEB_SOURCE)
+
+override_dh_install:
+	dh_install
+	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done

=== debian/watch ===
version=4

opts="uversionmangle=s/-beta/~beta/" \
  https://github.com/DerrickWood/kraken/releases .*/v(\d[\d.beta-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## kraken llm-0.1.1

=== Makefile ===
# Makefile for Kraken LLM Framework

.PHONY: help install install-dev install-minimal test lint format clean docs

# Переменные
PYTHON := python3
PIP := pip3
PYTEST := python3 -m pytest
BLACK := python3 -m black
ISORT := python3 -m isort
MYPY := python3 -m mypy
FLAKE8 := python3 -m flake8

# Цвета для вывода
GREEN := \033[0;32m
YELLOW := \033[0;33m
RED := \033[0;31m
NC := \033[0m # No Color

help: ## Показать справку
	@echo "$(GREEN)Kraken LLM Framework - Команды разработки$(NC)"
	@echo ""
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "$(YELLOW)%-20s$(NC) %s\n", $$1, $$2}'

install: ## Установить основные зависимости
	@echo "$(GREEN)Установка основных зависимостей...$(NC)"
	$(PIP) install -r requirements.txt

install-dev: ## Установить зависимости для разработки
	@echo "$(GREEN)Установка зависимостей для разработки...$(NC)"
	$(PIP) install -r requirements-dev.txt
	$(PIP) install -e .

install-minimal: ## Установить минимальные зависимости
	@echo "$(GREEN)Установка минимальных зависимостей...$(NC)"
	$(PIP) install -r requirements-minimal.txt

test: ## Запустить тесты
	@echo "$(GREEN)Запуск тестов...$(NC)"
	$(PYTEST) tests/ -v

test-cov: ## Запустить тесты с покрытием кода
	@echo "$(GREEN)Запуск тестов с анализом покрытия...$(NC)"
	$(PYTEST) tests/ -v --cov=src --cov-report=html --cov-report=term

test-unit: ## Запустить только unit тесты
	@echo "$(GREEN)Запуск unit тестов...$(NC)"
	$(PYTEST) tests/unit/ -v

test-integration: ## Запустить только интеграционные тесты
	@echo "$(GREEN)Запуск интеграционных тестов...$(NC)"
	$(PYTEST) tests/integration/ -v

lint: ## Проверить код линтерами
	@echo "$(GREEN)Проверка кода линтерами...$(NC)"
	$(FLAKE8) src/ tests/ examples/
	$(MYPY) src/

format: ## Форматировать код
	@echo "$(GREEN)Форматирование кода...$(NC)"
	$(BLACK) src/ tests/ examples/
	$(ISORT) src/ tests/ examples/

format-check: ## Проверить форматирование без изменений
	@echo "$(GREEN)Проверка форматирования...$(NC)"
	$(BLACK) --check src/ tests/ examples/
	$(ISORT) --check-only src/ tests/ examples/

clean: ## Очистить временные файлы
	@echo "$(GREEN)Очистка временных файлов...$(NC)"
	find . -type f -name "*.pyc" -delete
	find . -type d -name "__pycache__" -delete
	find . -type d -name "*.egg-info" -exec rm -rf {} +
	rm -rf build/
	rm -rf dist/
	rm -rf .coverage
	rm -rf htmlcov/
	rm -rf .pytest_cache/
	rm -rf .mypy_cache/

docs: ## Показать доступную документацию
	@echo "$(GREEN)Доступная документация:$(NC)"
	@echo "$(YELLOW)  - README.md - Полная документация$(NC)"
	@echo "$(YELLOW)  - QUICKSTART.md - Быстрый старт$(NC)"
	@echo "$(YELLOW)  - examples/ - Примеры использования$(NC)"

examples: ## Запустить примеры
	@echo "$(GREEN)Запуск примеров...$(NC)"
	@echo "$(YELLOW)Доступные примеры:$(NC)"
	@ls examples/*.py | sed 's/examples\//  - /'

run-simple: ## Запустить простой пример
	@echo "$(GREEN)Запуск простого примера...$(NC)"
	python3 examples/simple_example.py

run-streaming: ## Запустить пример потоковой передачи
	@echo "$(GREEN)Запуск примера потоковой передачи...$(NC)"
	python3 examples/streaming_example.py

run-structured: ## Запустить пример структурированного вывода
	@echo "$(GREEN)Запуск примера структурированного вывода...$(NC)"
	python3 examples/so_mode_switching_example.py

run-capabilities: ## Запустить утилиту определения возможностей моделей
	@echo "$(GREEN)Запуск утилиты определения возможностей моделей...$(NC)"
	python3 model_capabilities_detector.py

run-analyzer: ## Запустить новый анализатор возможностей моделей
	@echo "$(GREEN)Запуск анализатора возможностей моделей...$(NC)"
	python3 model_capabilities_analyzer.py

run-analyzer-quick: ## Быстрый анализ возможностей моделей
	@echo "$(GREEN)Быстрый анализ возможностей моделей...$(NC)"
	python3 model_capabilities_analyzer.py --quick

run-analyzer-md: ## Анализ с Markdown отчетом
	@echo "$(GREEN)Анализ с Markdown отчетом...$(NC)"
	python3 model_capabilities_analyzer.py --output markdown

run-media-utils: ## Запустить пример утилит для работы с медиа
	@echo "$(GREEN)Запуск примера утилит для работы с медиа...$(NC)"
	python3 examples/media_utils_example.py

run-reasoning: ## Запустить пример рассуждающих моделей
	@echo "$(GREEN)Запуск примера рассуждающих моделей...$(NC)"
	python3 examples/native_thinking_example.py

run-factory: ## Запустить пример фабрики клиентов
	@echo "$(GREEN)Запуск примера фабрики клиентов...$(NC)"
	python3 examples/client_factory_example.py

run-multimodal: ## Запустить пример мультимодального клиента
	@echo "$(GREEN)Запуск примера мультимодального клиента...$(NC)"
	python3 examples/multimodal_example.py

run-tools: ## Запустить пример функций и инструментов
	@echo "$(GREEN)Запуск примера функций и инструментов...$(NC)"
	python3 examples/function_tool_example.py

run-universal: ## Запустить пример универсального клиента
	@echo "$(GREEN)Запуск примера универсального клиента...$(NC)"
	python3 examples/universal_client_example.py

run-universal-quick: ## Быстрая демонстрация универсального клиента
	@echo "$(GREEN)Быстрая демонстрация универсального клиента...$(NC)"
	python3 examples/quick_universal_example.py

run-universal-comprehensive: ## Полная демонстрация универсального клиента
	@echo "$(GREEN)Полная демонстрация универсального клиента...$(NC)"
	python3 examples/universal_client_comprehensive.py

test-universal-integration: ## Тест интеграции универсального клиента
	@echo "$(GREEN)Тестирование интеграции универсального клиента...$(NC)"
	python3 tests/integration/test_universal_integration.py

capabilities-report: ## Создать отчет о возможностях моделей (legacy)
	@echo "$(GREEN)Создание отчета о возможностях моделей (legacy)...$(NC)"
	python3 model_capabilities_detector.py
	@echo "$(YELLOW)Отчет сохранен в model_capabilities_report.json$(NC)"

capabilities-quick: ## Быстрый тест возможностей моделей
	@echo "$(GREEN)Быстрое тестирование возможностей моделей...$(NC)"
	python3 quick_capabilities_test.py

capabilities-analyze: ## Полный анализ возможностей моделей (новая утилита)
	@echo "$(GREEN)Полный анализ возможностей моделей...$(NC)"
	python3 model_capabilities_analyzer.py
	@echo "$(YELLOW)Отчет сохранен в model_capabilities_report_*.json$(NC)"

capabilities-analyze-quick: ## Быстрый анализ возможностей моделей (новая утилита)
	@echo "$(GREEN)Быстрый анализ возможностей моделей...$(NC)"
	python3 model_capabilities_analyzer.py --quick

capabilities-analyze-md: ## Анализ с Markdown отчетом
	@echo "$(GREEN)Анализ с Markdown отчетом...$(NC)"
	python3 model_capabilities_analyzer.py --output markdown
	@echo "$(YELLOW)Отчет сохранен в model_capabilities_report_*.md$(NC)"



check: format-check lint test ## Полная проверка кода (форматирование + линтинг + тесты)

ci: install-dev check ## Команда для CI/CD

build: clean ## Собрать пакет для распространения
	@echo "$(GREEN)Сборка пакета...$(NC)"
	python3 setup.py sdist bdist_wheel

upload-test: build ## Загрузить пакет в Test PyPI
	@echo "$(GREEN)Загрузка в Test PyPI...$(NC)"
	twine upload --repository testpypi dist/*

upload: build ## Загрузить пакет в PyPI
	@echo "$(GREEN)Загрузка в PyPI...$(NC)"
	twine upload dist/*

venv: ## Создать виртуальное окружение
	@echo "$(GREEN)Создание виртуального окружения...$(NC)"
	python3 -m venv venv
	@echo "$(YELLOW)Активируйте окружение: source venv/bin/activate$(NC)"

requirements: ## Обновить requirements.txt из pyproject.toml
	@echo "$(GREEN)Обновление requirements.txt...$(NC)"
	pip-compile pyproject.toml

dev-setup: venv install-dev ## Полная настройка среды разработки
	@echo "$(GREEN)Среда разработки настроена!$(NC)"
	@echo "$(YELLOW)Не забудьте активировать окружение: source venv/bin/activate$(NC)"

# Алиасы для удобства
i: install
id: install-dev
t: test
tc: test-cov
f: format
l: lint
c: clean

=== requirements.txt ===
# Kraken LLM Framework - Production Requirements
# Основные зависимости для работы фреймворка

# === Основные зависимости ===
# OpenAI API клиент для взаимодействия с LLM
openai

# Outlines для структурированного вывода
outlines

# Pydantic для валидации данных и настроек
pydantic
pydantic-settings

# HTTP клиент для сетевых запросов
httpx

# === Обработка медиа файлов ===
# Pillow для работы с изображениями
Pillow

# === Научные вычисления ===
# NumPy для работы с векторами embeddings
numpy

# === Дополнительные утилиты ===
# python-dotenv для загрузки переменных окружения из .env файлов
python-dotenv

# === Системные зависимости ===
# Typing extensions для совместимости с Python 3.10+
typing-extensions

# === Опциональные зависимости для демо ===
# Раскомментируйте если нужно демо-приложение:
# fastapi
# uvicorn

# === Зависимости для разработки ===
# Раскомментируйте для разработки:
# pytest
# pytest-asyncio
# pytest-mock
# black
# isort
# mypy
# coverage

## kraken llm-0.1.2.post1

=== Makefile ===
--- 
+++ 
@@ -153,6 +153,22 @@
 	@echo "$(GREEN)Тестирование интеграции универсального клиента...$(NC)"
 	python3 tests/integration/test_universal_integration.py
 
+chat-simple: ## Запустить простой терминальный чат
+	@echo "$(GREEN)Запуск простого чата...$(NC)"
+	python3 simple_chat.py
+
+chat-advanced: ## Запустить продвинутый чат с голосовым вводом
+	@echo "$(GREEN)Запуск продвинутого чата...$(NC)"
+	python3 chat_advanced.py
+
+chat-reasoning: ## Чат с приоритетом reasoning модели
+	@echo "$(GREEN)Запуск чата с reasoning приоритетом...$(NC)"
+	python3 chat_reasoning.py
+
+chat-smart: ## Умный чат с анализом качества рассуждений
+	@echo "$(GREEN)Запуск умного чата с анализом качества...$(NC)"
+	python3 smart_chat.py
+
 capabilities-report: ## Создать отчет о возможностях моделей (legacy)
 	@echo "$(GREEN)Создание отчета о возможностях моделей (legacy)...$(NC)"
 	python3 model_capabilities_detector.py
